<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EventTriggerType StructType
 * Meta information extracted from the WSDL
 * - documentation: Class representing EventTriggerType XSD Type: EventTrigger
 * @subpackage Structs
 */
class EventTriggerType extends AbstractStructBase
{
    /**
     * The countEvent
     * Meta information extracted from the WSDL
     * - documentation: Definicion de este elemento
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var \StructType\CountEventType
     */
    public $countEvent;
    /**
     * The fillEvent
     * Meta information extracted from the WSDL
     * - documentation: Definicion de este elemento
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var \StructType\FillEventType
     */
    public $fillEvent;
    /**
     * The digitalInputEvent
     * Meta information extracted from the WSDL
     * - documentation: Definicion de este elemento
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $digitalInputEvent;
    /**
     * The oneTimeEvent
     * Meta information extracted from the WSDL
     * - documentation: Definicion de este elemento
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var \StructType\OneTimeEventType
     */
    public $oneTimeEvent;
    /**
     * The osdEvent
     * Meta information extracted from the WSDL
     * - documentation: Definicion de este elemento
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var \StructType\OSDEventType
     */
    public $osdEvent;
    /**
     * The currentObjectListEvent
     * Meta information extracted from the WSDL
     * - documentation: Definicion de este elemento
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var \StructType\CurrentObjectListEventType
     */
    public $currentObjectListEvent;
    /**
     * The clearZoneEvent
     * Meta information extracted from the WSDL
     * - documentation: Definicion de este elemento
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var \StructType\ClearZoneEventType
     */
    public $clearZoneEvent;
    /**
     * Constructor method for EventTriggerType
     * @uses EventTriggerType::setCountEvent()
     * @uses EventTriggerType::setFillEvent()
     * @uses EventTriggerType::setDigitalInputEvent()
     * @uses EventTriggerType::setOneTimeEvent()
     * @uses EventTriggerType::setOsdEvent()
     * @uses EventTriggerType::setCurrentObjectListEvent()
     * @uses EventTriggerType::setClearZoneEvent()
     * @param \StructType\CountEventType $countEvent
     * @param \StructType\FillEventType $fillEvent
     * @param string $digitalInputEvent
     * @param \StructType\OneTimeEventType $oneTimeEvent
     * @param \StructType\OSDEventType $osdEvent
     * @param \StructType\CurrentObjectListEventType $currentObjectListEvent
     * @param \StructType\ClearZoneEventType $clearZoneEvent
     */
    public function __construct(\StructType\CountEventType $countEvent = null, \StructType\FillEventType $fillEvent = null, $digitalInputEvent = null, \StructType\OneTimeEventType $oneTimeEvent = null, \StructType\OSDEventType $osdEvent = null, \StructType\CurrentObjectListEventType $currentObjectListEvent = null, \StructType\ClearZoneEventType $clearZoneEvent = null)
    {
        $this
            ->setCountEvent($countEvent)
            ->setFillEvent($fillEvent)
            ->setDigitalInputEvent($digitalInputEvent)
            ->setOneTimeEvent($oneTimeEvent)
            ->setOsdEvent($osdEvent)
            ->setCurrentObjectListEvent($currentObjectListEvent)
            ->setClearZoneEvent($clearZoneEvent);
    }
    /**
     * Get countEvent value
     * @return \StructType\CountEventType
     */
    public function getCountEvent()
    {
        return $this->countEvent;
    }
    /**
     * Set countEvent value
     * @param \StructType\CountEventType $countEvent
     * @return \StructType\EventTriggerType
     */
    public function setCountEvent(\StructType\CountEventType $countEvent = null)
    {
        $this->countEvent = $countEvent;
        return $this;
    }
    /**
     * Get fillEvent value
     * @return \StructType\FillEventType
     */
    public function getFillEvent()
    {
        return $this->fillEvent;
    }
    /**
     * Set fillEvent value
     * @param \StructType\FillEventType $fillEvent
     * @return \StructType\EventTriggerType
     */
    public function setFillEvent(\StructType\FillEventType $fillEvent = null)
    {
        $this->fillEvent = $fillEvent;
        return $this;
    }
    /**
     * Get digitalInputEvent value
     * @return string
     */
    public function getDigitalInputEvent()
    {
        return $this->digitalInputEvent;
    }
    /**
     * Set digitalInputEvent value
     * @param string $digitalInputEvent
     * @return \StructType\EventTriggerType
     */
    public function setDigitalInputEvent($digitalInputEvent = null)
    {
        // validation for constraint: string
        if (!is_null($digitalInputEvent) && !is_string($digitalInputEvent)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($digitalInputEvent, true), gettype($digitalInputEvent)), __LINE__);
        }
        $this->digitalInputEvent = $digitalInputEvent;
        return $this;
    }
    /**
     * Get oneTimeEvent value
     * @return \StructType\OneTimeEventType
     */
    public function getOneTimeEvent()
    {
        return $this->oneTimeEvent;
    }
    /**
     * Set oneTimeEvent value
     * @param \StructType\OneTimeEventType $oneTimeEvent
     * @return \StructType\EventTriggerType
     */
    public function setOneTimeEvent(\StructType\OneTimeEventType $oneTimeEvent = null)
    {
        $this->oneTimeEvent = $oneTimeEvent;
        return $this;
    }
    /**
     * Get osdEvent value
     * @return \StructType\OSDEventType
     */
    public function getOsdEvent()
    {
        return $this->osdEvent;
    }
    /**
     * Set osdEvent value
     * @param \StructType\OSDEventType $osdEvent
     * @return \StructType\EventTriggerType
     */
    public function setOsdEvent(\StructType\OSDEventType $osdEvent = null)
    {
        $this->osdEvent = $osdEvent;
        return $this;
    }
    /**
     * Get currentObjectListEvent value
     * @return \StructType\CurrentObjectListEventType
     */
    public function getCurrentObjectListEvent()
    {
        return $this->currentObjectListEvent;
    }
    /**
     * Set currentObjectListEvent value
     * @param \StructType\CurrentObjectListEventType $currentObjectListEvent
     * @return \StructType\EventTriggerType
     */
    public function setCurrentObjectListEvent(\StructType\CurrentObjectListEventType $currentObjectListEvent = null)
    {
        $this->currentObjectListEvent = $currentObjectListEvent;
        return $this;
    }
    /**
     * Get clearZoneEvent value
     * @return \StructType\ClearZoneEventType
     */
    public function getClearZoneEvent()
    {
        return $this->clearZoneEvent;
    }
    /**
     * Set clearZoneEvent value
     * @param \StructType\ClearZoneEventType $clearZoneEvent
     * @return \StructType\EventTriggerType
     */
    public function setClearZoneEvent(\StructType\ClearZoneEventType $clearZoneEvent = null)
    {
        $this->clearZoneEvent = $clearZoneEvent;
        return $this;
    }
}
