<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TaskRequestUpdateType StructType
 * Meta information extracted from the WSDL
 * - documentation: Class representing TaskRequestUpdateType
 * @subpackage Structs
 */
class TaskRequestUpdateType extends TaskType
{
    /**
     * The updateType
     * Meta information extracted from the WSDL
     * - documentation: como referencedNotificationID
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $updateType;
    /**
     * The packetUrl
     * Meta information extracted from the WSDL
     * - documentation: Definicion de este elemento
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $packetUrl;
    /**
     * Constructor method for TaskRequestUpdateType
     * @uses TaskRequestUpdateType::setUpdateType()
     * @uses TaskRequestUpdateType::setPacketUrl()
     * @param string $updateType
     * @param string $packetUrl
     */
    public function __construct($updateType = null, $packetUrl = null)
    {
        $this
            ->setUpdateType($updateType)
            ->setPacketUrl($packetUrl);
    }
    /**
     * Get updateType value
     * @return string
     */
    public function getUpdateType()
    {
        return $this->updateType;
    }
    /**
     * Set updateType value
     * @param string $updateType
     * @return \StructType\TaskRequestUpdateType
     */
    public function setUpdateType($updateType = null)
    {
        // validation for constraint: string
        if (!is_null($updateType) && !is_string($updateType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($updateType, true), gettype($updateType)), __LINE__);
        }
        $this->updateType = $updateType;
        return $this;
    }
    /**
     * Get packetUrl value
     * @return string
     */
    public function getPacketUrl()
    {
        return $this->packetUrl;
    }
    /**
     * Set packetUrl value
     * @param string $packetUrl
     * @return \StructType\TaskRequestUpdateType
     */
    public function setPacketUrl($packetUrl = null)
    {
        // validation for constraint: string
        if (!is_null($packetUrl) && !is_string($packetUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($packetUrl, true), gettype($packetUrl)), __LINE__);
        }
        $this->packetUrl = $packetUrl;
        return $this;
    }
}
